augroup filetypedetect
  " Mail
    autocmd BufRead,BufNewFile /tmp/evo* setfiletype mail
    autocmd FileType mail setlocal colorcolumn=72
    autocmd FileType mail setlocal formatoptions+=aw
augroup END


" Break lines for tex-files
augroup WrapLineInTeXFile
    autocmd!
    autocmd FileType tex setlocal wrap
    autocmd FileType tex setlocal linebreak
    autocmd FileType tex setlocal nonumber
augroup END

augroup SpellCheck
    autocmd!
    autocmd FileType go setlocal spell spelllang=en_us
    autocmd FileType java setlocal spell spelllang=en_us
    autocmd FileType markdown setlocal spell spelllang=en_us
augroup END

augroup ColorColumn
    autocmd!
    autocmd FileType go setlocal colorcolumn=120
    autocmd FileType java setlocal colorcolumn=120
    autocmd FileType markdown setlocal colorcolumn=80
augroup END
